centos 6.5安装rvm 配置 Ruby开发环境

我是用ruby写测试脚本用  安装rvm也是费了好大劲  英文不易看懂 ,是个硬伤!

rvm是ruby的版本管理工具  还可对ruby进行 安装 卸载 等

1、安装 curl

#  sudo yum install  curl

#  curl -L  get.rvm.io | bash -s stable

2、有可能失败如下图

3、按照提示输入命令

#  curl -sSL  https://rvm.io/mpapis.asc  |  gpg2  --import  -

继续在 命令行输入

#  curl  -L  get.rvm.io |  bash -s  stable

这就表示安装成功了

4、查找配置文件

#  find   /  -name  rvm.sh

并使其配置文件生效

# source  /etc/profile.d/rvm.sh

5、下载 rvm 依赖

# rvm  repuirements

6、继续

到这里应该安装好了 rvm      若还没搞定就参考一下How To Install Ruby on Rails on CentOS 6 with  RVM

7、 查看centos  下rvm管理的软件和版本, ruby也在其中

#  rvm  list known

8、 安装ruby-2.2

# rvm install ruby-2.2.0

9、删除某个版本的ruby  并把文档和 gems也删除

# rvm  remove  ruby-2.2.0 --docs  --gems

10、 选择一个版本的ruby 需要在系统安装两个版本的ruby情况下使用

#  rvm  use ruby-2.2.0 --default

11、查询当前使用的版本

# rvm  info

时间: 2024-02-24 10:08:45

centos 6.5安装rvm 配置 Ruby开发环境的相关文章

centos 6.x安装rvm 配置 Ruby开发环境

rvm是ruby的版本管理工具  还可对ruby进行 安装 卸载 等 1.安装 curl #  sudo yum install  curl #  curl -L  get.rvm.io | bash -s stable 2.有可能失败如下图 3.按照提示输入命令 #  curl -sSL  https://rvm.io/mpapis.asc  |  gpg2  --import  - 继续在 命令行输入 #  curl  -L  get.rvm.io |  bash -s  stable 这就

【ruby】【linux】【irb】CentOS上安装配置ruby开发环境,安装 irb

在读<理解Unix进程>这本书,书中代码是用Ruby写的,就自己想实践一下,搜来搜去要安装配置Ruby,我是centOS6.5的系统.下面这篇不错,我又加入了一点自己的理解和试验. 1 方法一:下载ruby的安装包来进行安装 1.安装编译环境gcc 使用yum install gcc在线安装 2.安装ruby开发环境 PS:经常在搜帖子的时候,大神的文章中都是随随便便下载个什么啊,又没告诉我这样的菜鸟到哪里下,让人几番周折,这里 下载 Ruby - Ruby 官方网站:https://www.

转:windows 下的 eclipse安装goclipse 配置golang开发环境

windows 下的 eclipse安装goclipse 配置golang开发环境 windows 下的 eclipse安装goclipse 配置golang开发环境,捎带介绍了LiteIDE golang的配置 1. 下载goclipse eclipse plugins http://pan.baidu.com/s/1c0weLgO 安装完插件后,重启可以看到eclipse的右上角有个golang logo , 地鼠图标: 2. 下载golang,调试tools 下载Golang Window

debian下安装rvm配置ruby环境

先安装rvm curl -L https://get.rvm.io | bash -s stable source ~/.rvm/scripts/rvm 安装必须的东西 rvm requirements 看看装哪个ruby rvm list known 2.1.3貌似最新 rvm install ruby-2.1.3 设置默认 rvm use ruby-2.1.3 --default 如果看到 RVM is not a function, selecting rubies with 'rvm u

windows 下的 eclipse安装goclipse 配置golang开发环境

1. 下载goclipse eclipse plugins http://goclipse.googlecode.com/svn/trunk/goclipse-update-site/ (建议使用proxy下载,除非你能直接访问:)) 我在百度网盘上传了最新的goclipse插件包,提供下载:http://pan.baidu.com/s/1mgBR2Co SHA1 HASH:c43f10a00e509848c3016dbaa8162209daf00d4f MD5 HASH:81875edbbb4

centos配置ruby开发环境(转 )

转自http://my.oschina.net/u/1449160/blog/260764 1. 安装ruby 1.1 yum安装,版本旧 #yum install ruby ruby-devel ruby-ri ruby-rdoc ruby-irb ruby-shadow 1.2 删除 #yum remove ruby ruby-devel -y 1.3 源码安装 #wget http://cache.ruby-lang.org/pub/ruby/2.1/ruby-2.1.1.tar.gz #

Linux下安装和配置java开发环境(jdk/eclipse/tomcat)

第一步 安装jdk 1.进入usr目录 cd /usr 2.在usr目录下建立java安装目录 mkdir java 3.将jdk-6u24-linux-i586.bin拷贝到java目录下 cp jdk-6u24-linux-i586.bin /usr/java/ 4.安装jdk cd /usr/java ./jdk-6u24-linux-i586.bin 5.安装完毕为他建立一个链接以节省目录长度 ln -s /usr/java/jdk1.6.0_24/ /usr/jdk 6.编辑配置文件

Ruby开发环境的搭建

1.Ruby的下载 https://rubyinstaller.org/downloads/ 2.Ruby的安装 3.Eclipse配置Ruby开发环境 插件地址:http://rubyeclipse.sourceforge.NET/nightlyBuild/updateSite/  经过测试很多Ruby插件地址都是无效的 所以用eclipse 中的 配置ruby.exe eclipse创建一个Ruby项目

安装ruby开发环境

如何快速正确的安装 Ruby, Rails 运行环境 对于新入门的开发者,如何安装 Ruby, Ruby Gems 和 Rails 的运行环境可能会是个问题,本页主要介绍如何用一条靠谱的路子快速安装 Ruby 开发环境.次安装方法同样适用于产品环境! 系统需求 首先确定操作系统环境,不建议在 Windows 上面搞,所以你需要用: Mac OS X 任意 Linux 发行版本(Ubuntu,CentOS, Redhat, ArchLinux ...) 强烈新手使用 Ubuntu 省掉不必要的麻烦